Subject: bug#37820: 25.2; xref using etags incorrect case fold during completion

From: Dmitry Gutov <[email-masked]>
Date: Sat, 18 Jan 2020 00:28:19 +0300

On 17.01.2020 18:34, Radey Shouman wrote:

> I haven't looked at the patch yet, but I can describe the desired
> change in user-facing behavior with an example:
> 
> Suppose tags-case-fold-search is true in a buffer with a tags table
> containing the symbol "CamelCase".
> 
> The key sequence M.camelcase will find the definition of CamelCase.
> On the other hand, with the current behavior, the key sequence M.cTAB
> will show a completion buffer that does not contain "CamelCase".
> 
> With a proper fix, the completion buffer will include "CamelCase".

Thank you. It would help if you actually test the patch as well.

Or simply a new snapshot of emacs-27.